Very slow performance on editing issues when projects have inherit members checked

2015-02-25 07:57 - Santi A.

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.2

Description

Hi,

Recently I updated all my projects checking "Inherit members" in order to make our life easier when you have to assign groups and

roles to members.

In my scenario I have a main project and by heritage I have the rest of the projects.

Case 1:

If you try to create and edit an issue in the main project all are updated smoothly.

Case 2:

If you try to create and edit an issue in a 4 level project heritage the performance becomes in a terrible slow updating.

Note: I can't reproduce this problem when a user has admin rights.

Specifications:

Redmine version: 2.5.2

Mysql version: 5.5.38

Ruby: 2.0.0p481

Rails: 3.2.19

Related issues:

Related to Redmine - Patch #22850: Speedup remove_inherited_roles Closed

History

#1 - 2016-05-19 22:58 - Patricia Klems  Crovador

I have the same problem.

To create a new issue with no parent id, it is very fast.

But if i complete de information "parent id", it'll very slow.

#2 - 2016-05-20 11:29 - Pavel Rosický

try this #22850

#3 - 2016-06-14 06:33 - Toshi MARUYAMA

- Related to Patch #22850: Speedup remove_inherited_roles added

#4 - 2021-08-09 13:18 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

A fix to improve the performance was delivered in Redmine 3.4.0 (#22850). Closing.
